Skip to main content
POST
/
api
/
v1
/
customers
/
{id}
/
integrations
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const customerIntegrationResponse = await client.v1.customers.integrations.link('x', {
  id: 'id',
  syncedEntityId: 'syncedEntityId',
  vendorIdentifier: 'AUTH0',
});

console.log(customerIntegrationResponse.data);
{
  "data": {
    "id": "<string>",
    "vendorIdentifier": "AUTH0",
    "syncedEntityId": "<string>",
    "syncData": {
      "billingId": "<string>",
      "billingLinkUrl": "<string>",
      "priceGroupPackageBillingId": "<string>"
    }
  }
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Body

application/json

Links a customer to an external integration.

id
string
required

Integration details

Maximum string length: 255
vendorIdentifier
enum<string>
required

The vendor identifier of integration

Available options:
AUTH0,
ZUORA,
STRIPE,
HUBSPOT,
AWS_MARKETPLACE,
SNOWFLAKE,
SALESFORCE,
BIG_QUERY,
OPEN_FGA,
APP_STORE
syncedEntityId
string
required

Synced entity id

Maximum string length: 255

Response

The created customer integration object.

Response object

data
CustomerIntegration · object
required

External billing or CRM integration link